/**
 *@desc 自定义的header
 *@author dailer
 *@date 2018/12/25
 */
!(function () {
    BI.config("dec.header", function (config) {
        config.type = "demo.header";
        return config;
    });

    BI.config("dec.provider.layout", function (provider) {
        provider.setConfig({
            type: "bi.absolute",
            cls: "demo-background",
            items: [
                {
                    el: {
                        type: "bi.absolute",
                        items: [
                            {
                                el: {
                                    type: "dec.workbench.tabs",
                                    cls: "bi-background",
                                    showTabBar: false
                                },
                                top: 0, bottom: 20, right: 20,
                                left: 260
                            }, {
                                el: {
                                    type: "demo.sidebar",
                                    width: 240
                                },
                                top: 0, bottom: 0,
                                left: 0
                            }
                        ]
                    },
                    top: 70, left: 0, right: 0, bottom: 0
                }, {
                    el: {
                        type: "dec.header"
                    },
                    height: 50,
                    top: 0, left: 0, right: 0
                }
            ]
        });
        return provider;
    });
}());