/**
 *@desc 自定义的header
 *@author dailer
 *@date 2018/12/25
 */
!(function () {
    var Widget = BI.inherit(BI.Widget, {

        props: {
            baseCls: "demo-header"
        },

        render: function () {
            return {
                type: "bi.left_right_vertical_adapt",
                items: {
                    left: [
                        {
                            el: {
                                type: "bi.icon_button",
                                cls: "directory-font demo-sidebar-trigger",
                                width: 80,
                                height: 35
                            }
                        }, {
                            el: {
                                type: "bi.text_button",
                                textAlign: "left",
                                cls: "demo-title-text",
                                text: "ngx-admin",
                                handler: function () {
                                    BI.Services.getService("dec.service.tabs").openTab(-1);
                                    Dec.inactiveOthers(-1);
                                }
                            }
                        }
                    ],
                    right: [
                        {
                            el: {
                                type: "bi.icon_button",
                                cls: "platform-search-font demo-search-button",
                                width: 35,
                                height: 30,
                                handler: function () {
                                    $("#wrapper").addClass("active");
                                }
                            }
                        }, {
                            el: {
                                type: "demo.favorite",
                                width: 35
                            }
                        }, {
                            el: {
                                type: "dec.header.message"
                            }
                        }, {
                            el: {
                                type: "dec.account"
                            }
                        }
                    ]
                }
            };
        }
    });

    BI.shortcut("demo.header", Widget);
}());