package com.fr.plugin.theme.ngx;

import com.fr.decision.fun.impl.AbstractThemeVariousProvider;
import com.fr.decision.web.MainComponent;
import com.fr.intelli.record.Focus;
import com.fr.intelli.record.Original;
import com.fr.record.analyzer.EnableMetrics;
import com.fr.web.struct.Atom;

/**
 * Created by dailer on 18/10/10.
 */
@EnableMetrics
public class NgxTheme extends AbstractThemeVariousProvider {


    @Override
    public Atom attach() {
        return MainComponent.KEY;
    }

    @Override
    @Focus(id = "com.fr.plugin.theme.ngx", text = "仿ngx-admin主题", source = Original.PLUGIN)
    public Atom client() {
        return NgxComponent.KEY;
    }

    @Override
    public String name() {
        return "NgxTheme";
    }

    @Override
    public String text() {
        return "仿ngx-admin";
    }

    @Override
    public String coverPath() {
        return "com/fr/plugin/theme/ngx/web/demo.png";
    }

}